Bullet Collision Detection & Physics Library: btTriangleConvexcastCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btTriangleConvexcastCallback Class Referenceabstract

`#include <btRaycastCallback.h>`

Inheritance diagram for btTriangleConvexcastCallback:
[legend]
Collaboration diagram for btTriangleConvexcastCallback:
[legend]

## Public Member Functions
| btTriangleConvexcastCallback (const btConvexShape *convexShape, const btTransform &convexShapeFrom, const btTransform &convexShapeTo, const btTransform &triangleToWorld, const btScalar triangleCollisionMargin)
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)
virtual btScalar | reportHit (const btVector3 &hitNormalLocal, const btVector3 &hitPointLocal, btScalar hitFraction, int partId, int triangleIndex)=0
Public Member Functions inherited from btTriangleCallback
virtual | ~btTriangleCallback ()
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)=0

## Public Attributes
const btConvexShape * | m_convexShape
btTransform | m_convexShapeFrom
btTransform | m_convexShapeTo
btTransform | m_triangleToWorld
btScalar | m_hitFraction
btScalar | m_triangleCollisionMargin
btScalar | m_allowedPenetration

## Detailed Description

Definition at line 54 of file btRaycastCallback.h.

## Constructor & Destructor Documentation

## ◆ btTriangleConvexcastCallback()

btTriangleConvexcastCallback::btTriangleConvexcastCallback | ( | const btConvexShape * | convexShape,
|  | const btTransform & | convexShapeFrom,
|  | const btTransform & | convexShapeTo,
|  | const btTransform & | triangleToWorld,
|  | const btScalar | triangleCollisionMargin
| ) |  |

Definition at line 120 of file btRaycastCallback.cpp.

## Member Function Documentation

## ◆ processTriangle()

void btTriangleConvexcastCallback::processTriangle | ( | btVector3 * | triangle,
|  | int | partId,
|  | int | triangleIndex
| ) |  |
| virtual

Implements btTriangleCallback.

Definition at line 131 of file btRaycastCallback.cpp.

## ◆ reportHit()

virtual btScalar btTriangleConvexcastCallback::reportHit | ( | const btVector3 & | hitNormalLocal,
|  | const btVector3 & | hitPointLocal,
|  | btScalar | hitFraction,
|  | int | partId,
|  | int | triangleIndex
| ) |  |
| pure virtual

## Member Data Documentation

## ◆ m_allowedPenetration

btScalar btTriangleConvexcastCallback::m_allowedPenetration

Definition at line 63 of file btRaycastCallback.h.

## ◆ m_convexShape

const btConvexShape* btTriangleConvexcastCallback::m_convexShape

Definition at line 57 of file btRaycastCallback.h.

## ◆ m_convexShapeFrom

btTransform btTriangleConvexcastCallback::m_convexShapeFrom

Definition at line 58 of file btRaycastCallback.h.

## ◆ m_convexShapeTo

btTransform btTriangleConvexcastCallback::m_convexShapeTo

Definition at line 59 of file btRaycastCallback.h.

## ◆ m_hitFraction

btScalar btTriangleConvexcastCallback::m_hitFraction

Definition at line 61 of file btRaycastCallback.h.

## ◆ m_triangleCollisionMargin

btScalar btTriangleConvexcastCallback::m_triangleCollisionMargin

Definition at line 62 of file btRaycastCallback.h.

## ◆ m_triangleToWorld

btTransform btTriangleConvexcastCallback::m_triangleToWorld

Definition at line 60 of file btRaycastCallback.h.

The documentation for this class was generated from the following files:

- btRaycastCallback.h
- btRaycastCallback.cpp